class

  ScrollManager

brief

  メモリ管理を行うスクロール処理のコアロジック実装クラス 本クラスは IListView インターフェイスを持ち DOM にアクセスするが、Backbone.View を継承しない

### Hierarchy

- ScrollManager

### Implements

- IListViewFramework
- IScrollable
- IBackupRestore

## Index

### Constructors

- constructor

### Properties

- _$map
- _$root
- _active
- _backup
- _baseHeight
- _lines
- _mapHeight
- _pages
- _scrollEventHandler
- _scrollStopEventHandler
- _scroller
- _settings

### Accessors

- backupData

### Methods

- _addLine
- _removeLine
- _removeLines
- addItem
- assignPage
- backup
- clearBackup
- clearPage
- createScroller
- destroy
- ensureVisible
- findRecycleElements
- getItemInfo
- getLastPage
- getListViewOptions
- getPageIndex
- getScrollMapElement
- getScrollMapHeight
- getScrollPos
- getScrollPosMax
- getScrollerType
- hasBackup
- initialize
- isActive
- isInitialized
- onScroll
- onScrollStop
- prepareInactiveMap
- rebuild
- refresh
- release
- removeItem
- resetScrollerCondition
- restore
- scrollTo
- setActiveState
- setBaseHeight
- setScrollHandler
- setScrollStopHandler
- setScrollerCondition
- setupScrollMapTransition
- treatScrollPosition
- update
- updateProfiles
- updateScrollMapHeight

### Object literals

- _lastActivePageContext

## Constructors

### constructor

- new ScrollManager(options?: ListViewOptions): ScrollManager

- - Defined in CDP/UI/listview/ScrollManager.ts:36

  constructor

  #### Parameters

  - ##### Optional options: ListViewOptions

    [in] オプション

  #### Returns ScrollManager

## Properties

### Private _$map

_$map: JQuery = null

- Defined in CDP/UI/listview/ScrollManager.ts:19

### Private _$root

_$root: JQuery = null

- Defined in CDP/UI/listview/ScrollManager.ts:18

### Private _active

_active: boolean = true

- Defined in CDP/UI/listview/ScrollManager.ts:23

### Protected _backup

_backup: object

- Defined in CDP/UI/listview/ScrollManager.ts:36

#### Type declaration

### Private _baseHeight

_baseHeight: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:26

### Private _lines

_lines: LineProfile[] = []

- Defined in CDP/UI/listview/ScrollManager.ts:27

### Private _mapHeight

_mapHeight: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:20

### Private _pages

_pages: PageProfile[] = []

- Defined in CDP/UI/listview/ScrollManager.ts:28

### Private _scrollEventHandler

_scrollEventHandler: function = null

- Defined in CDP/UI/listview/ScrollManager.ts:24

#### Type declaration

- - (event: Event): void

  - #### Parameters

    - ##### event: Event

    #### Returns void

### Private _scrollStopEventHandler

_scrollStopEventHandler: function = null

- Defined in CDP/UI/listview/ScrollManager.ts:25

#### Type declaration

- - (event: Event): void

  - #### Parameters

    - ##### event: Event

    #### Returns void

### Private _scroller

_scroller: IScroller = null

- Defined in CDP/UI/listview/ScrollManager.ts:21

### Private _settings

_settings: ListViewOptions = null

- Defined in CDP/UI/listview/ScrollManager.ts:22

## Accessors

### backupData

- get backupData(): any

- - Defined in CDP/UI/listview/ScrollManager.ts:654

  #### Returns any

## Methods

### _addLine

- _addLine(_line: any, insertTo?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:229

  #### Parameters

  - ##### _line: any

  - ##### Optional insertTo: number

  #### Returns void

### _removeLine

- _removeLine(index: number, size?: number, delay?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:279

  #### Parameters

  - ##### index: number

  - ##### Optional size: number

  - ##### Optional delay: number

  #### Returns void

### _removeLines

- _removeLines(indexes: number[], delay?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:338

  #### Parameters

  - ##### indexes: number[]

  - ##### Optional delay: number

  #### Returns void

### addItem

- addItem(height: number, initializer: object, info: any, insertTo?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:219

  #### Parameters

  - ##### height: number

  - ##### initializer: object

  - ##### info: any

  - ##### Optional insertTo: number

  #### Returns void

### Private assignPage

- assignPage(from?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:988

  ページ区分のアサイン

  #### Parameters

  - ##### Optional from: number

    [in] page index を指定

  #### Returns void

### backup

- backup(key: string): boolean

- Implementation of IBackupRestore.backup

  - Defined in CDP/UI/listview/ScrollManager.ts:604

  #### Parameters

  - ##### key: string

  #### Returns boolean

### clearBackup

- clearBackup(key?: string): boolean

- Implementation of IBackupRestore.clearBackup

  - Defined in CDP/UI/listview/ScrollManager.ts:641

  #### Parameters

  - ##### Optional key: string

  #### Returns boolean

### Private clearPage

- clearPage(from?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:1038

  ページ区分の解除

  #### Parameters

  - ##### Optional from: number

    [in] page index を指定

  #### Returns void

### Private createScroller

- createScroller(): IScroller

- - Defined in CDP/UI/listview/ScrollManager.ts:868

  #### Returns IScroller

### destroy

- destroy(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:101

  #### Returns void

### ensureVisible

- ensureVisible(index: number, options?: EnsureVisibleOptions): void

- Implementation of IScrollable.ensureVisible

  - Defined in CDP/UI/listview/ScrollManager.ts:712

  #### Parameters

  - ##### index: number

  - ##### Optional options: EnsureVisibleOptions

  #### Returns void

### findRecycleElements

- findRecycleElements(): JQuery

- Implementation of IListViewFramework.findRecycleElements

  - Defined in CDP/UI/listview/ScrollManager.ts:843

  #### Returns JQuery

### getItemInfo

- getItemInfo(target: number): any
- getItemInfo(target: Event): any

- - Defined in CDP/UI/listview/ScrollManager.ts:408

  #### Parameters

  - ##### target: number

  #### Returns any

- - Defined in CDP/UI/listview/ScrollManager.ts:409

  #### Parameters

  - ##### target: Event

  #### Returns any

### Private getLastPage

- getLastPage(): PageProfile

- - Defined in CDP/UI/listview/ScrollManager.ts:975

  #### Returns PageProfile

### getListViewOptions

- getListViewOptions(): ListViewOptions

- Implementation of IListViewFramework.getListViewOptions

  - Defined in CDP/UI/listview/ScrollManager.ts:848

  #### Returns ListViewOptions

### Private getPageIndex

- getPageIndex(): number

- - Defined in CDP/UI/listview/ScrollManager.ts:873

  #### Returns number

### getScrollMapElement

- getScrollMapElement(): JQuery

- Implementation of IListViewFramework.getScrollMapElement

  - Defined in CDP/UI/listview/ScrollManager.ts:838

  #### Returns JQuery

### getScrollMapHeight

- getScrollMapHeight(): number

- Implementation of IListViewFramework.getScrollMapHeight

  - Defined in CDP/UI/listview/ScrollManager.ts:805

  #### Returns number

### getScrollPos

- getScrollPos(): number

- Implementation of IScrollable.getScrollPos

  - Defined in CDP/UI/listview/ScrollManager.ts:684

  #### Returns number

### getScrollPosMax

- getScrollPosMax(): number

- Implementation of IScrollable.getScrollPosMax

  - Defined in CDP/UI/listview/ScrollManager.ts:689

  #### Returns number

### getScrollerType

- getScrollerType(): string

- - Defined in CDP/UI/listview/ScrollManager.ts:135

  #### Returns string

### hasBackup

- hasBackup(key: string): boolean

- Implementation of IBackupRestore.hasBackup

  - Defined in CDP/UI/listview/ScrollManager.ts:632

  #### Parameters

  - ##### key: string

  #### Returns boolean

### initialize

- initialize($root: JQuery, height: number): boolean

- - Defined in CDP/UI/listview/ScrollManager.ts:79

  #### Parameters

  - ##### $root: JQuery

  - ##### height: number

  #### Returns boolean

### isActive

- isActive(): boolean

- - Defined in CDP/UI/listview/ScrollManager.ts:130

  #### Returns boolean

### isInitialized

- isInitialized(): boolean

- - Defined in CDP/UI/listview/ScrollManager.ts:214

  #### Returns boolean

### Private onScroll

- onScroll(pos: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:946

  スクロールイベント

  #### Parameters

  - ##### pos: number

    [in] スクロールポジション

  #### Returns void

### Private onScrollStop

- onScrollStop(pos: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:964

  スクロール停止イベント

  #### Parameters

  - ##### pos: number

    [in] スクロールポジション

  #### Returns void

### Private prepareInactiveMap

- prepareInactiveMap(): JQuery

- - Defined in CDP/UI/listview/ScrollManager.ts:188

  #### Returns JQuery

### rebuild

- rebuild(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:581

  #### Returns void

### refresh

- refresh(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:442

  #### Returns void

### release

- release(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:588

  #### Returns void

### removeItem

- removeItem(index: number, size?: number, delay?: number): void
- removeItem(index: number[], delay?: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:268

  #### Parameters

  - ##### index: number

  - ##### Optional size: number

  - ##### Optional delay: number

  #### Returns void

- - Defined in CDP/UI/listview/ScrollManager.ts:269

  #### Parameters

  - ##### index: number[]

  - ##### Optional delay: number

  #### Returns void

### Private resetScrollerCondition

- resetScrollerCondition(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:862

  #### Returns void

### restore

- restore(key: string, rebuild?: boolean): boolean

- Implementation of IBackupRestore.restore

  - Defined in CDP/UI/listview/ScrollManager.ts:614

  #### Parameters

  - ##### key: string

  - ##### Default value rebuild: boolean = true

  #### Returns boolean

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- Implementation of IScrollable.scrollTo

  - Defined in CDP/UI/listview/ScrollManager.ts:694

  #### Parameters

  - ##### pos: number

  - ##### Optional animate: boolean

  - ##### Optional time: number

  #### Returns void

### setActiveState

- setActiveState(active: boolean): void

- - Defined in CDP/UI/listview/ScrollManager.ts:124

  #### Parameters

  - ##### active: boolean

  #### Returns void

### setBaseHeight

- setBaseHeight(height: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:113

  #### Parameters

  - ##### height: number

  #### Returns void

### setScrollHandler

- setScrollHandler(handler: function, on: boolean): void

- - Defined in CDP/UI/listview/ScrollManager.ts:662

  #### Parameters

  - ##### handler: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

  #### Returns void

### setScrollStopHandler

- setScrollStopHandler(handler: function, on: boolean): void

- - Defined in CDP/UI/listview/ScrollManager.ts:673

  #### Parameters

  - ##### handler: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

  #### Returns void

### Private setScrollerCondition

- setScrollerCondition(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:856

  #### Returns void

### Private setupScrollMapTransition

- setupScrollMapTransition($map: JQuery, delay: number): void

- - Defined in CDP/UI/listview/ScrollManager.ts:398

  #### Parameters

  - ##### $map: JQuery

  - ##### delay: number

  #### Returns void

### treatScrollPosition

- treatScrollPosition(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:144

  状態に応じたスクロール位置の保存/復元 cdp.ui.fs.js: PageTabListView が実験的に使用 TODO: ※iscroll は未対応

  #### Returns void

### update

- update(): void

- - Defined in CDP/UI/listview/ScrollManager.ts:574

  #### Returns void

### updateProfiles

- updateProfiles(from: number): void

- Implementation of IListViewFramework.updateProfiles

  - Defined in CDP/UI/listview/ScrollManager.ts:822

  #### Parameters

  - ##### from: number

  #### Returns void

### updateScrollMapHeight

- updateScrollMapHeight(delta: number): void

- Implementation of IListViewFramework.updateScrollMapHeight

  - Defined in CDP/UI/listview/ScrollManager.ts:810

  #### Parameters

  - ##### delta: number

  #### Returns void

## Object literals

### Private _lastActivePageContext

_lastActivePageContext: object

- Defined in CDP/UI/listview/ScrollManager.ts:30

### from

from: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:32

### index

index: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:31

### pos

pos: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:34

### to

to: number = 0

- Defined in CDP/UI/listview/ScrollManager.ts:33

Generated using TypeDoc